<%= form_for @rushee, html: {class: 'ui form error'} do |f| %>

  <% if @rushee.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@rushee.errors.count, "error") %> prohibited
        this article from being saved:
      </h2>
      <ul>
        <% @rushee.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <h3 class="ui dividing header">Basic Information</h3>

  <div class="fields">
    <div class="eight wide field">
      <%= f.label :name %>
      <%= f.text_field :name %>
    </div>
    <div class="eight wide field">
      <%= f.label :direct_image_url %>
      <div class="ui icon input conflictable">
        <%= f.text_field :photo %>
        <i class="photo icon"></i>
      </div>
    </div>
  </div>

  <div class="fields">
    <div class="required eight wide field">
      <%= f.label :email %>
      <div class="ui icon input conflictable">
        <%= f.text_field :email %>
        <i class="at icon"></i>
      </div>
    </div>

    <div class="eight wide field">
      <%= f.label :phone_number %>
      <div class="ui icon input conflictable">
        <%= f.text_field :phone_number %>
        <i class="call icon"></i>
      </div>
    </div>
  </div>

  <h3 class="ui dividing header">Social Media</h3>

  <div class="fields">
    <div class="eight wide field">
      <%= f.label :instagram %>
      <div class="ui icon input conflictable">
        <%= f.text_field :instagram %>
        <i class="instagram icon"></i>
      </div>
    </div>

    <div class="eight wide field">
      <%= f.label :facebook %>
      <div class="ui icon input conflictable">
        <%= f.text_field :facebook %>
        <i class="facebook icon"></i>
      </div>
    </div>
  </div>

  <h3 class="ui dividing header">Bio</h3>

  <div class="fields">
    <div class="sixteen wide field">
      <%= f.text_area :bio %>
    </div>
  </div>

  <h3 class="ui dividing header">Actions</h3>

  <div class="fields">
    <div class="eight wide field">
      <%= f.label :rushee_status %>
      <%= f.collection_select( :rushee_status_id, RusheeStatus.all, :id, :status_label, {}, {:class=>'ui search clearable dropdown'}) %>
    </div>

    <div class="eight wide field">
      <%= f.label :contact %>
      <%= f.collection_select( :contact_id, User.where(affiliated_organization: current_user.affiliated_organization), :id, :full_name, {prompt: "Contact", :selected => (@rushee.contact_id)}, {:class=>'ui fluid search clearable dropdown'}) %>
    </div>
  </div>

  <div class="ui equal width grid">
    <div class="row">
      <div class="column">
        <%= f.submit 'Submit', :class => 'ui green fluid button' %>
      </div>
      <div class="column">
        <%= link_to "Back to Home", rushees_path(), :class => "ui primary fluid button" %>
      </div>
    </div>
  </div>

<% end %>
